Katello - Bug #7278

WebUI suggested subscription-manager registration command does not work
08/27/2014 12:58 PM - Christine Fouant

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1128245 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/461
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128245
Description of problem: WebUI for
example.com/activation_keys/:id/info

suggest using

subscription-manager register —--org="&lt;org_name&gt;" --activationkey="&lt;activation_keyé&gt;"
instead of
subscription-manager register —--org="&lt;org_label&gt;" --activationkey="&lt;activation_keyé&gt;"

Version-Release number of selected component (if applicable):
sat6-Satellite-6.0.4-RHEL-6-20140730.0-Satellite-x86_64-dvd1.iso

How reproducible: always/deteminitic

Steps to Reproduce:

1. create organization with spaces in name
2. create AK for this org

3. observe suggested registration command
Actual results:

use name (spaces)

Expected results:

use label (underscores)

Additional info:

It does not work with name instead of label...

Associated revisions

Revision 144b8ad4 - 08/27/2014 01:00 PM - Christine Fouant
fixes #7278 - Fixes activation key registration hint, BZ 1128245

Revision c106c63a - 08/27/2014 01:00 PM - Christine Fouant
fixes #7278 - Fixes activation key registration hint, BZ 1128245

Revision 05ce026f - 08/28/2014 09:18 AM - Walden Raines
Merge pull request #4618 from cfouant/ak-hint
https://bugzilla.redhat.com/show_bug.cgi?id=1128245

fixes #7278 - Fixes activation key registration hint, BZ 1128245

Revision 6ea4f537 - 08/28/2014 09:18 AM - Walden Raines
Merge pull request #4618 from cfouant/ak-hint

fixes #7278 - Fixes activation key registration hint, BZ 1128245

History

#1 - 08/27/2014 01:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello/pull/4618 added
- Pull request deleted ()

#2 - 08/27/2014 05:28 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/28/2014 10:02 AM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|144b8ad4db94{649c5360fde95021ffO9b6b0cdea.

#4 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
